package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwBdParametricExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CwBdParametricExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andPkParametricIsNull() {
            addCriterion("PK_PARAMETRIC is null");
            return (Criteria) this;
        }

        public Criteria andPkParametricIsNotNull() {
            addCriterion("PK_PARAMETRIC is not null");
            return (Criteria) this;
        }

        public Criteria andPkParametricEqualTo(String value) {
            addCriterion("PK_PARAMETRIC =", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricNotEqualTo(String value) {
            addCriterion("PK_PARAMETRIC <>", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricGreaterThan(String value) {
            addCriterion("PK_PARAMETRIC >", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricGreaterThanOrEqualTo(String value) {
            addCriterion("PK_PARAMETRIC >=", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricLessThan(String value) {
            addCriterion("PK_PARAMETRIC <", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricLessThanOrEqualTo(String value) {
            addCriterion("PK_PARAMETRIC <=", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricLike(String value) {
            addCriterion("PK_PARAMETRIC like", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricNotLike(String value) {
            addCriterion("PK_PARAMETRIC not like", value, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricIn(List<String> values) {
            addCriterion("PK_PARAMETRIC in", values, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricNotIn(List<String> values) {
            addCriterion("PK_PARAMETRIC not in", values, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricBetween(String value1, String value2) {
            addCriterion("PK_PARAMETRIC between", value1, value2, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andPkParametricNotBetween(String value1, String value2) {
            addCriterion("PK_PARAMETRIC not between", value1, value2, "pkParametric");
            return (Criteria) this;
        }

        public Criteria andParametricCodeIsNull() {
            addCriterion("PARAMETRIC_CODE is null");
            return (Criteria) this;
        }

        public Criteria andParametricCodeIsNotNull() {
            addCriterion("PARAMETRIC_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andParametricCodeEqualTo(String value) {
            addCriterion("PARAMETRIC_CODE =", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeNotEqualTo(String value) {
            addCriterion("PARAMETRIC_CODE <>", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeGreaterThan(String value) {
            addCriterion("PARAMETRIC_CODE >", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeGreaterThanOrEqualTo(String value) {
            addCriterion("PARAMETRIC_CODE >=", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeLessThan(String value) {
            addCriterion("PARAMETRIC_CODE <", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeLessThanOrEqualTo(String value) {
            addCriterion("PARAMETRIC_CODE <=", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeLike(String value) {
            addCriterion("PARAMETRIC_CODE like", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeNotLike(String value) {
            addCriterion("PARAMETRIC_CODE not like", value, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeIn(List<String> values) {
            addCriterion("PARAMETRIC_CODE in", values, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeNotIn(List<String> values) {
            addCriterion("PARAMETRIC_CODE not in", values, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeBetween(String value1, String value2) {
            addCriterion("PARAMETRIC_CODE between", value1, value2, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricCodeNotBetween(String value1, String value2) {
            addCriterion("PARAMETRIC_CODE not between", value1, value2, "parametricCode");
            return (Criteria) this;
        }

        public Criteria andParametricNameIsNull() {
            addCriterion("PARAMETRIC_NAME is null");
            return (Criteria) this;
        }

        public Criteria andParametricNameIsNotNull() {
            addCriterion("PARAMETRIC_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andParametricNameEqualTo(String value) {
            addCriterion("PARAMETRIC_NAME =", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameNotEqualTo(String value) {
            addCriterion("PARAMETRIC_NAME <>", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameGreaterThan(String value) {
            addCriterion("PARAMETRIC_NAME >", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameGreaterThanOrEqualTo(String value) {
            addCriterion("PARAMETRIC_NAME >=", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameLessThan(String value) {
            addCriterion("PARAMETRIC_NAME <", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameLessThanOrEqualTo(String value) {
            addCriterion("PARAMETRIC_NAME <=", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameLike(String value) {
            addCriterion("PARAMETRIC_NAME like", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameNotLike(String value) {
            addCriterion("PARAMETRIC_NAME not like", value, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameIn(List<String> values) {
            addCriterion("PARAMETRIC_NAME in", values, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameNotIn(List<String> values) {
            addCriterion("PARAMETRIC_NAME not in", values, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameBetween(String value1, String value2) {
            addCriterion("PARAMETRIC_NAME between", value1, value2, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricNameNotBetween(String value1, String value2) {
            addCriterion("PARAMETRIC_NAME not between", value1, value2, "parametricName");
            return (Criteria) this;
        }

        public Criteria andParametricValueIsNull() {
            addCriterion("PARAMETRIC_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andParametricValueIsNotNull() {
            addCriterion("PARAMETRIC_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andParametricValueEqualTo(String value) {
            addCriterion("PARAMETRIC_VALUE =", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueNotEqualTo(String value) {
            addCriterion("PARAMETRIC_VALUE <>", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueGreaterThan(String value) {
            addCriterion("PARAMETRIC_VALUE >", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueGreaterThanOrEqualTo(String value) {
            addCriterion("PARAMETRIC_VALUE >=", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueLessThan(String value) {
            addCriterion("PARAMETRIC_VALUE <", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueLessThanOrEqualTo(String value) {
            addCriterion("PARAMETRIC_VALUE <=", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueLike(String value) {
            addCriterion("PARAMETRIC_VALUE like", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueNotLike(String value) {
            addCriterion("PARAMETRIC_VALUE not like", value, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueIn(List<String> values) {
            addCriterion("PARAMETRIC_VALUE in", values, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueNotIn(List<String> values) {
            addCriterion("PARAMETRIC_VALUE not in", values, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueBetween(String value1, String value2) {
            addCriterion("PARAMETRIC_VALUE between", value1, value2, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andParametricValueNotBetween(String value1, String value2) {
            addCriterion("PARAMETRIC_VALUE not between", value1, value2, "parametricValue");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNull() {
            addCriterion("USE_STATE is null");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNotNull() {
            addCriterion("USE_STATE is not null");
            return (Criteria) this;
        }

        public Criteria andUseStateEqualTo(String value) {
            addCriterion("USE_STATE =", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotEqualTo(String value) {
            addCriterion("USE_STATE <>", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThan(String value) {
            addCriterion("USE_STATE >", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThanOrEqualTo(String value) {
            addCriterion("USE_STATE >=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThan(String value) {
            addCriterion("USE_STATE <", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThanOrEqualTo(String value) {
            addCriterion("USE_STATE <=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLike(String value) {
            addCriterion("USE_STATE like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotLike(String value) {
            addCriterion("USE_STATE not like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateIn(List<String> values) {
            addCriterion("USE_STATE in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotIn(List<String> values) {
            addCriterion("USE_STATE not in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateBetween(String value1, String value2) {
            addCriterion("USE_STATE between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotBetween(String value1, String value2) {
            addCriterion("USE_STATE not between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNull() {
            addCriterion("CREATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNotNull() {
            addCriterion("CREATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("CREATE_USER =", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("CREATE_USER <>", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("CREATE_USER >", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_USER >=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThan(String value) {
            addCriterion("CREATE_USER <", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("CREATE_USER <=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLike(String value) {
            addCriterion("CREATE_USER like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotLike(String value) {
            addCriterion("CREATE_USER not like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("CREATE_USER in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("CREATE_USER not in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("CREATE_USER between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("CREATE_USER not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNull() {
            addCriterion("UPDATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNotNull() {
            addCriterion("UPDATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserEqualTo(String value) {
            addCriterion("UPDATE_USER =", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotEqualTo(String value) {
            addCriterion("UPDATE_USER <>", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThan(String value) {
            addCriterion("UPDATE_USER >", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER >=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThan(String value) {
            addCriterion("UPDATE_USER <", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER <=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLike(String value) {
            addCriterion("UPDATE_USER like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotLike(String value) {
            addCriterion("UPDATE_USER not like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIn(List<String> values) {
            addCriterion("UPDATE_USER in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotIn(List<String> values) {
            addCriterion("UPDATE_USER not in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserBetween(String value1, String value2) {
            addCriterion("UPDATE_USER between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotBetween(String value1, String value2) {
            addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("UPDATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("UPDATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("UPDATE_TIME =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("UPDATE_TIME <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("UPDATE_TIME >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("UPDATE_TIME <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("UPDATE_TIME in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("UPDATE_TIME not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}